扫一扫下方二维码,关注本站官方公众号
获取永久解锁本站全部文章的验证码
还能不定期领现金红包

React安装Babel版本7要注意的坑-Go语言中文社区

React安装Babel版本7要注意的坑


只是一个初学者,开始不知道babel版本6和7的差别很大,直到遇到如下问题

在版本6时安装依赖的命令是:但是在版本7中,弃用了stage-0,命令也换成了如下所示,如若您已安装可先卸载 .

卸载命令为:cnpm uninstall --save babel-core babel-preset-* babel-transform-runtime

更改为:cnpm i @babel/core babel-loader@8 @babel/preset-env @babel/preset-react -D

              cnpm i @babel/plugin-transform-runtime

接下来更改 .babelrc 如图即可

 

 

版权声明:本文来源CSDN,感谢博主原创文章,遵循 CC 4.0 by-sa 版权协议,转载请附上原文出处链接和本声明。
原文链接:https://blog.csdn.net/DaryDaryDary/article/details/88410493
站方申明:本站部分内容来自社区用户分享,若涉及侵权,请联系站方删除。
  • 发表于 2020-06-28 03:36
  • 阅读 ( 176 )

0 条评论

请先 登录 后评论

官方社群